Skip to main content
GET
/
api
/
v2
/
segments
/
{projectKey}
/
{environmentKey}
/
{segmentKey}
/
exports
/
{exportID}
Get big segment export
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/exports/{exportID} \
  --header 'Authorization: <api-key>'
{
  "id": "1234a567-bcd8-9123-4567-abcd1234567f",
  "segmentKey": "example-big-segment",
  "creationTime": "1654104600000",
  "status": "complete",
  "sizeBytes": 18,
  "size": "18 B",
  "initiator": "{\"name\": \"Ariel Flores\", \"email\": \"ariel@acme.com\"}",
  "_links": {}
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

segmentKey
string<string>
required

The segment key

exportID
string<string>
required

The export ID

Response

Segment export response

id
string
required

The export ID

Example:

"1234a567-bcd8-9123-4567-abcd1234567f"

segmentKey
string
required

The segment key

Example:

"example-big-segment"

creationTime
integer<int64>
required

Timestamp of when this export was created

Example:

"1654104600000"

status
string
required

The export status

Example:

"complete"

sizeBytes
integer<int64>
required

The export size, in bytes

Example:

18

size
string
required

The export size, with units

Example:

"18 B"

initiator
object
required

Details on the member who initiated the export

Example:

"{\"name\": \"Ariel Flores\", \"email\": \"ariel@acme.com\"}"

The location and content type of related resources, including the location of the exported file